カスタマーサポートセンター

FAQ~よくある質問~ | FAQマスタ詳細表示

FAQ詳細情報

ID 10810502
FAQカテゴリ(大) C-SPYデバッガ
最終更新日 2016-03-08

質問内容

TN12731: IAR Embedded Workbench for MSP430のv5.40-5.51でCould not find device (or device not supported) と表示されC-SPYが使用できない

回答内容

●対象となる製品
この記事はEW430のバージョン 5.50.xに適用されます。バージョン5.51またはそれ以降のバージョンでの注意事項EW430のバージョン5.51.Xは、APIが変更になったため、v2のDLLとファームウェアは使用できません。FETファームウェアをv2にダウングレードしたい場合は、
(EW430をインストールしたフォルダ)\430\bin\UpdateTool -u DOWN
を使用してたください。

●問題点
Embedded Workbench for MSP430 5.40.xで、 msp430.dll と FET430のファームウェアがバージョン3 (v3) にアップグレードされましたが、特定のいくつかのMSP430デバイスで不具合が存在します。また、5.xxデバイス用の、シーケンサ、スタティックストレージ、アドバンスド・サイクルカウンタもサポートされていません。

●対策
msp430.dll と はFET430のファームウェアをv2にダウングレードします。

●手順
1. EW430を終了します。
2. ダウングレードをするための、(EW430をインストールしたフォルダ)\430\bin\V32V2.batユーティリティを起動します。
3. 430\bin\MSP430v2.dll を 430\bin\msp430.dll コピーします。
4. 再度C-SPYを起動して確認してください。
5. Projectメニュー > Options > Debbgger > Extra optionsタブに、--eemapi=v1のオプションを追加する必要があるかも知れません。詳細は、このページの下にあるEW430のリリースノートのリンク先をご参照ください。

●背景
v3のFET430のファームウェアは、WindowsのCDCドライバを使用します。デバイスマネージャーを開き、このことを確認してください。 (このページの下のショートカットを開いて確認してください).

v3のFET430を使用していても、CDCドライバが見えない場合、FET430をいったん取り外して、FETのドライバを再インストールする必要があるかもしれません。

v2のFET430のファームウェアは、WindowsのVCPドライバを使用します。デバイスマネージャーを開き、このことを確認してください。 (このページの下のショートカットを開いて確認してください).

v2のFET430を使用していても、VCPドライバが見えない場合、FET430をいったん取り外して、FETのドライバを再インストールする必要があるかもしれません。

 

 


Q: MSP-FET430がMSP430.DLLがv3にアップデートされているかどうか確認するには?

A: FET430を接続した時に、どちらのインストールされているバージョンをLEDで表示します。古いバージョンの場合は赤-赤-赤-緑と点滅し、最後に緑の点灯になります。新しいバージョンでは、PCに接続した時に最初から緑の点灯になります。

●全ての製品の名前は、それぞれの所有者の商標または登録商標です。

参考資料URL